/* start site styling */
/* start - custom css for site */
h1,h2,h3,h4,h5,h6 {
    font-family: 'PT Serif', serif;
    font-weight: bold;
}

p {
    font-family: 'Open Sans', sans-serif;
    font-weight: 400;
}

.bliss-cruise-oasis {
    background-image: url('../images/beach-background-xlg.jpg');
    background-repeat: no-repeat;
    background-position: top;
    background-size: contain;
    height: 100% !important;
    min-height: 1200px !important;
}

.header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: nowrap;
    text-align: center;
    height: 280px;
    padding: 45px 30px 15px;
}

.logo {
    width: 300px;
    height: auto;
    margin-bottom: 1em;
}

.header-cta {
    font-size: 38px;
    line-height: 54px;
    text-shadow: 0px 0px 30px white,0px 0px 30px white,0px 0px 30px white,0px 0px 10px #fff,0px 0px 10px #fff;
}

.cta-yellow {
    color: #ffbe0e;
    font-family: 'PT Serif', serif;
}

.form-flex-containers {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    margin-top: 1em;
}

/* label {
    margin-bottom: 5px;
} */

.form-label {
    margin-bottom: 5px;
}

.form-container {
    border-radius: 15px;
    text-align: center;
}

.form-blue-bliss {
    background-color: #0075cd;
    padding: 30px;
    color: #fff;
    width: 100%;
    min-width: 480px;
    max-width: 780px;
}

.form-header {
    font-size: 24px;
    margin-bottom: 15px;
}

.form-info {
    font-size: 22px;
    line-height: 22px;
    margin-bottom: 0;
}

.form-info-med {
    font-size: 32px;
    font-weight: bold;
}

.btn-submit-orange {
    font-size: 24px;
    font-weight: 500;
    background-color: #ffbe0e;
    padding: 10px 30px;
    border-radius: 10px;
    color: #07497b;
    margin-bottom: .5em;
}

.btn-submit-orange:hover {
    background-color: #ff9900;
    color: #ffffff;
}

.copyright-container {
    background-color: #f7d8a5;
    padding: 15px 45px;
    border-radius: 15px;
    text-align: center;
    color: #705f43;
    font-weight: 400;
}

.footer {
    margin-top: 140px;
}

.footer-gradient {
    background-position: bottom;
    width: 100%;
    height: 300px;
    background: rgb(0,164,255);
    background: linear-gradient(0deg, rgba(0,164,255,1) 0%, rgb(244 243 239) 67%, rgba(255,255,255,0) 100%);
}

/*  media queries */

@media only screen and (max-width: 960px) {

    .bliss-cruise-oasis {
        background-image: url('../images/beach-background-lite-md.jpg');
        background-repeat: no-repeat;
        background-position: top;
        background-size: contain;
        height: 100% !important;
        min-height: 600px !important;
    }
    
    .header-cta {
        font-size: 28px;
        line-height: 38px;
        text-shadow: 0px 0px 30px white,0px 0px 30px white,0px 0px 30px white,0px 0px 10px #fff,0px 0px 10px #fff;
        margin-bottom: 1em;
    }

    .footer {
        margin-top: 60px;
    }
}

@media only screen and (max-width: 600px) {

    .header {
        height: 200px;
        padding-top: 15px;
        padding: 45px 15px 15px;
    }

    .bliss-cruise-oasis {
        background-image: url('../images/beach-background-lite-sm.jpg');
        background-repeat: no-repeat;
        background-position: top;
        background-size: contain;
        height: 100% !important;
        min-height: 600px !important;
    }

    .logo {
        width: 140px;
        height: auto;
        margin-bottom: 1em;
    }
    
    .header-cta {
        font-size: 24px;
        line-height: 1.25em;
        text-shadow: 0px 0px 30px white,0px 0px 30px white,0px 0px 30px white,0px 0px 10px #fff,0px 0px 10px #fff;
    }

    .form-blue-bliss {
        background-color: #0075cd;
        padding: 15px 20px;
        color: #fff;
        width: 100%;
        min-width: 220px;
        max-width: 480px;
        margin-top: .5em;
    }

    .form-header {
        font-size: 22px;
        margin-bottom: 15px;
    }

    .form-flex-containers {
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        justify-content: center;
        align-items: center;
        margin-top: 0;
    }

    .footer {
        margin-top: 0px;
    }

    .footer-gradient {
        background-position: bottom;
        width: 100%;
        height: 150px;
        margin-top: 40px;
        background: rgb(0,164,255);
        background: linear-gradient(0deg, rgba(0,164,255,1) 0%, rgba(254,250,239,1) 67%, rgba(255,255,255,0) 100%);
    }

}

/* start - validation styling */
#vendbooknum-error,
#cabin-number-error,
#lastnameAuth-error {
    display: block;
    line-height: 1em !important;
    margin-top: -10px !important;
    margin-bottom: 15px !important;
}

#loginfailmessage {
    background-color: rgb(6 75 126);
    padding: 0.5em 1em;
    border-radius: 10px;
    margin-top: .5em;
}

/* end - validation styling */